לדלג לתוכן

מדיה ויקי:Common.css: הבדלים בין גרסאות בדף

מתוך צפונות ויקי
הבאג מסומן בתור מתוקן
סדר וניקיון
שורה 628: שורה 628:
}
}


.upper-roman-list ol {list-style: upper-roman; }
.upper-roman-list ol {
.lower-roman-list ol {list-style: lower-roman; }
list-style: upper-roman;
.upper-latin-list ol {list-style: upper-latin; }
}
.lower-latin-list ol {list-style: lower-latin; }
.lower-roman-list ol {
.hebrew-list ol {list-style:hebrew;}
list-style: lower-roman;
}
.upper-latin-list ol {
list-style: upper-latin;
}
.lower-latin-list ol {
list-style: lower-latin;
}
.hebrew-list ol {
list-style:hebrew;
}


.sysop-show {
.sysop-show {
שורה 639: שורה 649:


/* Put the templates list as the first item in the old toolbar. see also [[MediaWiki:Templateslist.js]] */
/* Put the templates list as the first item in the old toolbar. see also [[MediaWiki:Templateslist.js]] */
#templatesList{
#templatesList {
     float:right;
     float: right;
}
}


/* experiment: this piece is copied from the embedded CSS in enwiki: it disappears in RTL */
/* experiment: this piece is copied from the embedded CSS in enwiki: it disappears in RTL */
.ui-widget-content { border: 1px solid #aaaaaa/*{borderColorContent}*/; background: #ffffff/*{bgColorContent}*/ 50%/*{bgContentXPos}*/ 50%/*{bgContentYPos}*/ repeat-x/*{bgContentRepeat}*/; color: #222222/*{fcContent}*/; }
.ui-widget-content {
.ui-widget-content a { color: #222222/*{fcContent}*/; }
border: 1px solid #aaaaaa/*{borderColorContent}*/;
.ui-widget-header { border: 1px solid #aaaaaa/*{borderColorHeader}*/; background: #cccccc/*{bgColorHeader}*/ url(images/ui-bg_highlight-soft_75_cccccc_1x100.png)/*{bgImgUrlHeader}*/ 50%/*{bgHeaderXPos}*/ 50%/*{bgHeaderYPos}*/ repeat-x/*{bgHeaderRepeat}*/; color: #222222/*{fcHeader}*/; font-weight: bold; }
background: #ffffff/*{bgColorContent}*/ 50%/*{bgContentXPos}*/ 50%/*{bgContentYPos}*/ repeat-x/*{bgContentRepeat}*/;
.ui-widget-header a { color: #222222/*{fcHeader}*/; }
color: #222222/*{fcContent}*/;
}
.ui-widget-content a {
color: #222222/*{fcContent}*/;
}
.ui-widget-header {
border: 1px solid #aaaaaa/*{borderColorHeader}*/;
background: #cccccc/*{bgColorHeader}*/ url(images/ui-bg_highlight-soft_75_cccccc_1x100.png)/*{bgImgUrlHeader}*/ 50%/*{bgHeaderXPos}*/ 50%/*{bgHeaderYPos}*/ repeat-x/*{bgHeaderRepeat}*/;
color: #222222/*{fcHeader}*/;
font-weight: bold;
}
.ui-widget-header a {
color: #222222/*{fcHeader}*/;
}


/* Fix so <syntaxhighlight> tags and .css and .js pages get normal text size. copied from [[:en:MediaWiki:Common.css]]
/* Fix so <syntaxhighlight> tags and .css and .js pages get normal text size. copied from [[:en:MediaWiki:Common.css]]
שורה 662: שורה 684:
/* correct wikieditor table tool controls overlap*/
/* correct wikieditor table tool controls overlap*/
div.wikieditor-toolbar-table-form div.wikieditor-toolbar-field-wrapper  {
div.wikieditor-toolbar-table-form div.wikieditor-toolbar-field-wrapper  {
margin-right: 2em;
    margin-right: 2em;
}
}


/* עבור תבניות ציטוט */
/* עבור תבניות ציטוט */
.hebrewQuotation{
.hebrewQuotation {
     font-family:David, serif;
     font-family: David, serif;
}
}
.engQuotation{
.engQuotation {
     font-family:"Times New Roman", serif;
     font-family:"Times New Roman", serif;
}
}


/* Change the external link icon to an Adobe icon for all PDF files
/* Change the external link icon to an Adobe icon for all PDF files
   in browsers that support these CSS selectors, like Mozilla and Opera.
   in browsers that support these CSS selectors, like Mozilla and Opera.
   taken from [[:en:MediaWiki:Common.css]]
   taken from [[:en:MediaWiki:Common.css]]
*/
*/
div#content a[href$=".pdf"].external,  
div#content a[href$=".pdf"].external,  
div#content a[href*=".pdf?"].external,  
div#content a[href*=".pdf?"].external,  
שורה 743: שורה 763:


.catlist-in-columns {
.catlist-in-columns {
     -webkit-column-width:20em;
     -webkit-column-width: 20em;
     -moz-column-width:20em;
     -moz-column-width: 20em;
     -ms-column-width:20em;
     -ms-column-width: 20em;
     column-width:20em;
     column-width: 20em;
}
}


/*  עבור תבנית pgn, להצגת משחקי שחמט. */
/*  עבור תבנית pgn, להצגת משחקי שחמט. */
.pgn-sourcegame { display: none }
.pgn-sourcegame {
display: none
}


img.pgn-chessPiece { position: absolute; z-index: 3; }
img.pgn-chessPiece { position: absolute; z-index: 3; }
שורה 771: שורה 793:
/* for [[תבנית:לשוניות2]] */
/* for [[תבנית:לשוניות2]] */
.tabWrapper.ui-widget {
.tabWrapper.ui-widget {
font-size: 1em;
    font-size: 1em;
}
}


.tabWrapper .ui-tabs-nav {
.tabWrapper .ui-tabs-nav {
background:transparent;
    background: transparent;
border-width:0 0 1px 0;
    border-width: 0 0 1px 0;
}
}


.tabWrapper .ui-tabs-nav a {
.tabWrapper .ui-tabs-nav a {
color: black;
    color: black;
font-weight: bold;
    font-weight: bold;
}
}


שורה 794: שורה 816:


.rot90 {  
.rot90 {  
     -webkit-transform:rotate(90deg);
     -webkit-transform: rotate(90deg);
     -moz-transform:rotate(90deg);
     -moz-transform: rotate(90deg);
     -ms-transform:rotate(90deg);
     -ms-transform: rotate(90deg);
     -o-transform:rotate(90deg);
     -o-transform: rotate(90deg);
     transform:rotate(90deg);
     transform: rotate(90deg);
}
}


.rot180 {  
.rot180 {  
     -webkit-transform:rotate(180deg);
     -webkit-transform: rotate(180deg);
     -moz-transform:rotate(180deg);
     -moz-transform: rotate(180deg);
     -ms-transform:rotate(180deg);
     -ms-transform: rotate(180deg);
     -o-transform:rotate(180deg);
     -o-transform: rotate(180deg);
     transform:rotate(180deg);
     transform: rotate(180deg);
}
}


.rot270 {  
.rot270 {  
     -webkit-transform:rotate(270deg);
     -webkit-transform: rotate(270deg);
     -moz-transform:rotate(270deg);
     -moz-transform: rotate(270deg);
     -ms-transform:rotate(270deg);
     -ms-transform: rotate(270deg);
     -o-transform:rotate(270deg);
     -o-transform: rotate(270deg);
     transform:rotate(270deg);
     transform: rotate(270deg);
}
}


שורה 829: שורה 851:
/* fix bug in IE for code element not shown */
/* fix bug in IE for code element not shown */
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
code {
    code {
display: inline-block;
        display: inline-block;
    }
}
}
}


/* Geographical coordinates defaults. See [[Template:Coord/link]]
/* Geographical coordinates defaults. See [[Template:Coord/link]]

גרסה מ־07:42, 11 בספטמבר 2014

/* add horizontal scrollbar to "pre" elements */
pre {
    overflow-x: auto;
}

/* ‫הוקוס פוקוס כדי שהספאנים של הניקוד (ב[[mediawiki:Edittools]] ייראו כמו קישורים מוגדלים, ובמעבר מעליהם שיגדלו כדי שניתן יהיה לזהות ביתר קלות את תווי הניקוד‬ */
span.nikud {
    color: #002bb8;
    cursor: pointer;
    font-size: 125%;
}

span.nikud:hover {
    font-size: 175%;
}

/* @noflip */body.page-עמוד_ראשי div.floatleft {
    margin-right: 15px;
    margin-bottom: 15px;
}

/* הסתרת שורת הכותרת בעמוד הראשי */
.page-עמוד_ראשי #firstHeading {
    display: none !important;
}

/* תיקון דף מיוחד:העלאה בשימוש הוגן - מצמיד את התיבות לימין */
.page-מיוחד_העלאה #content,
.page-מיוחד_העלאה #column-one {
    direction: rtl !important;
}

/* קיצור תיבת התקציר - כדי שלא תתנגש עם התיבות בצד שמאל */
#wpSummary {
    width: 60%;
}

/* ‫קיצור ה־Site notice כדי שלא יתנגש עם הקואורדינטות‬ */
#mw-dismissable-notice {
    width: 80%;
}

/* תיקון תצוגת גלריות */
table.gallery {
    clear: both;
}

/* ביטול קווים מתחת לקישורים בתווים מיוחדים */
#editpage-specialchars a {
    text-decoration: none;
}

#editpage-specialchars a:hover {
    text-decoration: underline;
}

/* מרכוז הטקסט לאמצע בהודעה למשתמש */
.usermessage {
    vertical-align: middle;
}

/* הדגשת הודעות שגיאה */
p.error {
    font-weight: bold;
}

/* הקטנת גודל הטקסט בהערות שוליים */
.references {
    font-size: 90%;
}

/* הדגשת ההערה שנלחץ קישור אליה באמצעות צבע הרקע, כדי להקל על הניווט */
ol.references > li:target, 
sup.reference:target,
span.citation:target {
    background-color: #DEF;
}

/* הצגת ההערה על כך שהתמונה משותפת או מתנגשת עם תמונה משותפת בכתב רגיל */
div.sharedUploadNotice,
#shared-image-dup,
#shared-image-conflict {
    font-style: normal;
}

/* הצגת תיאור התמונה המשותפת משמאל לימין */
#shared-image-desc {
    direction: ltr;
}

/* הפיכת הצבע של הפניות ב"מיוחד:כל הדפים" לאפור */
div.allpagesredirect a {
    color: #7F7F7F;
}

/* הדגשת הקישור לכל השפות בסוף רשימת האינטרוויקי בעמוד הראשי */
#interwiki-completelist {
    font-weight: bold;
}

/* ‫תמיכה בתבניות IPA, Unicode ו-Polytonic. הצהרת ה-inherit מאפסת את הגופן בכל הדפדפנים מלבד אינטרנט אקספלורר 6. ההערה הריקה חייבת להישאר.‬ */
.IPA {
    font-family: Gentium;
}
.Unicode {
    font-family: Gentium;
    font-family /**/:inherit;
}
.latinx {
    font-family: Gentium;
    font-family /**/:inherit;
}
.polytonic {
    font-family: Gentium;
    font-family /**/:inherit;
}

/* קישור (טקסט או תמונה) בראש הדף, ליד הכותרת */
div.toplink div {
    position: static !important;
}

/* ‫עיצוב infobox מוויקיפדיה באנגלית‬ */
/* @noflip */.infobox {
    border: 1px solid #aaaaaa;
    background-color: #f9f9f9;
    color: black;
    margin-bottom: 0.5em;
    margin-right: 1em;
    padding: 0.2em;
    float: left;
    clear: left;
}
.infobox td,
.infobox th {
    vertical-align: top;
}
.infobox caption {
    font-size: larger;
    margin-left: inherit;
}
.infobox.bordered {
    border-collapse: collapse;
}
.infobox.bordered td,
.infobox.bordered th {
    border: 1px solid #aaaaaa;
}
.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
    border: 0;
}
.infobox.iGray th {
    background-color: #DFDFDF;
    text-align: right;
    font-weight: normal;
}
.infobox.iPink th {
    background-color: #FFB2B2;
    text-align: right;
    font-weight: normal;
}
.infobox.iOrange th {
    background-color: #FFCFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iYellow th {
    background-color: #F6FFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iOlive th {
    background-color: #D9FFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iGreen th {
    background-color: #BDFFB2;
    text-align: right;
    font-weight: normal;
}
.infobox.iBlue th {
    background-color: #B2C6FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iPurple th {
    background-color: #BBB2FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iLightPurple th {
    background-color: #D9B2FF;
    text-align: right;
    font-weight: normal;
}
.infobox.iBrown th {
    background-color: #E7DCC4;
    text-align: right;
    font-weight: normal;
}
.infobox.iDarkKhaki th {
    background-color: #BDB76B;
    text-align: right;
    font-weight: normal;
}
.infobox.iKhaki th {
    background-color: #F0E68C;
    text-align: right;
    font-weight: normal;
}
.infobox.iGold th {
    background-color: #FFD700;
    text-align: right;
    font-weight: normal;
}
.infobox.iDarkGold th {
    background-color: #DAA520;
    text-align: right;
    font-weight: normal;
}
.infobox.iSilver th {
    background-color: #C0C0C0;
    text-align: right;
    font-weight: normal;
}

/* תיבות ניווט (כלומר, תיבות המסתירות חלקים מעצמן) מוויקיפדיה בגרמנית */
div.Boxmerge,
div.NavFrame {
    border-collapse: collapse;
    border: 1px #aaaaaa solid;
    font-size: 95%;
    margin: 0;
    padding: 2px;
    text-align: center;
}
div.Boxmerge div.NavFrame {
    border-style: none;
    border-style: hidden;
}
div.NavFrame + div.NavFrame {
    border-top-style: none;
    border-top-style: hidden;
}
div.NavPic {
    background-color: #FFFFFF;
    float: left;
    margin: 0;
    margin-top: 0.5em;
    padding: 2px;
}
div.NavFrame div.NavHead {
    background-color: #ccccff;
    font-size: 100%;
    font-weight: bold;
    height: 1.6em;
    position: relative;
}
div.NavFrame p {
    font-size: 100%;
}
div.NavFrame div.NavContent {
    font-size: 100%;
}
div.NavFrame div.NavContent p {
    font-size: 100%;
}
div.NavEnd {
    clear: both;
    line-height: 1px;
    margin: 0;
    padding: 0;
}
a.NavToggle {
    font-size: 80%;
    font-weight: normal;
    left: 3px;
    position: absolute;
    top: 0;
}

/* טבלאות ניווט */
table.navbox {
    background-color: #f9f9f9;
    border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: 1em 0 0;
    padding: 2px;
    text-align: center;
    width: 100%;
}
table.navbox th {
    background-color: #ccf;
}
@media print {
    .navbox {
        display: none;
    }

    /* הסרת טיפ להפניה לדף השיחה בהדפסה */
    .annontalktip {
        display:none;
    }
    
    div#contentSub {
        display:none;
    }

    .feedbackWrapper {
        display:none;
    }
}

/* הגדרות עבור תבנית:לשוניות */
@media screen {
    .loadingTabsTemplate {
        display: block;
    }

    .tabsTemplate {
        display:none;
    }
}

/* עקיפת בעיית הקטגוריות הבלתי לחיצות אם יש קטגוריה עם מספר, באינטרנט אקספלורר 6.0 */
* html div#catlinks {
    position: static;
}

/* שינויי הדפסה */
@media print {
    /* ‫ביטול השורה האוטומטית "מקור:", משום שהיא מציגה את ה-URL עם אחוזים וסימנים מוזרים, ויש כבר את השורה הרגילה והשפויה יותר‬ */
    .printfooter {
        display: none;
    }
}

/* הוספת תמונת רמקול עבור קישור מדיה */
.audiolink a {
    background: url("//upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Loudspeaker_rtl.svg/11px-Loudspeaker_rtl.svg.png") center right no-repeat !important;
    padding-left: 0 !important;
    padding-right: 16px !important;
    display: inline-block;
}

/* צביעת המספרים שבדף השינויים האחרונים וברשימת המעקב */
.mw-plusminus-pos {
    color: #006400;
}

.mw-plusminus-neg {
    color: #8B0000;
}

/* צביעת הקישור לדף חדש שבדף השינויים והאחרונים וברשימת המעקב */
.newpage {
    background-color: #FF0000;
    color: #FFFFFF;
}

/* עיצוב לטקסט אפור, כולל קישורים אפורים */
.grayText,
.grayText a,
.grayText a.stub {
    color: #999999;
}

/* ביטול כתב נטוי בעץ הקטגוריות */
.CategoryTreeLabelPage,
.CategoryTreeParents,
.CategoryTreeNotice {
    font-style: normal;
}

/* ‫אפשרות להסתרה של כותרות בתוכן העניינים החל מרמה מסוימת. למשל, ‪<div class="toclimit-3">‬
יציג רק כותרות מהרמה השנייה והשלישית (כל עוד אין כותרות מרמה ראשונה בדף, כפי שדורשים מדריכי העיצוב)‬ */
.toclimit-2 .toclevel-2,
.toclimit-3 .toclevel-3,
.toclimit-4 .toclevel-4,
.toclimit-5 .toclevel-5,
.toclimit-6 .toclevel-6,
.toclimit-7 .toclevel-7 {
    display: none;
}

/* ‫עיצוב ל־[[mediawiki:AlertProtected.js]]‬ */
table.plprotected {
    border: 1px solid #AFAFAF;
    background-color: #FFFFFF;
    width: 75%;
    margin-top: 5px;
    margin-bottom: 5px;
    padding: .2em;
    text-align: center;
    clear: both;
}

td.plprotected {
    margin-right: 1em;
    margin-left: 1em;
    text-align: center;
    vertical-align: middle;
    width: 75px;
}

/* הוספת רקע צהוב לתגים של מסנן ההשחתות */
.mw-tag-מחיקת-הודעה,
.mw-tag-לחצנים,
.mw-tag-ריקון,
.mw-tag-אולטרה-קצרמר,
.mw-tag-ריקון-שיחה,
.mw-tag-דואל,
.mw-tag-חזרות,
.mw-tag-הסרת-קטגוריות,
.mw-tag-מילים-בעייתיות,
.mw-tag-אוהב,
.mw-tag-אות_סופית_באמצע_מילה,
.mw-tag-הוספת_תבנית_חשודה,
.mw-tag-חדש-למחיקה {
    background-color: #FFE0E0;
}

/* הסתרת הכפתורים של כתב נטוי, קו אופקי ומדיה בסרגל הכלים */
#mw-editbutton-hr, #mw-editbutton-italic, #mw-editbutton-media{
    display:none;
}

/* עיצוב תוצאות חיפוש של מיזמי אחות */
#mw-search-interwiki { float: left; }
.mw-search-interwiki-project { text-align: right; }
.mw-search-interwiki-more { float: left; }

#mw-searchoptions > div#mw-search-togglebox {
    float: left;
}

/* עיצוב עבור [[יחידה:]] */
.lua.source-lua {
	font-size: 1.25em ;
}

/* ‫עבור [[תבנית:תיבת הודעה]]‬ */
table.fmbox {
    clear: both;
    margin: 0.2em 0;
    width: 100%;
    border: 1px solid #aaa;
    background: #f9f9f9;     /* Default "system" gray */
}
table.fmbox-system {
    background: #f9f9f9;
}
table.fmbox-warning {
    border: 1px solid #bb7070;  /* Dark pink */
    background: #ffdbdb;        /* Pink */
}
table.fmbox-editnotice {
    background: transparent;
}

th.mbox-text,
td.mbox-text {     /* The message body cell(s) */
    border: none; 
    padding: 0.25em 0.9em;       /* 0.9em left/right */
    width: 100%;    /* Make all mboxes the same width regardless of text length */
}
td.mbox-image {                  /* The left image cell */
    border: none; 
    padding: 2px 0.9em 2px 0;    /* 0.9em right, 0px left */
    text-align: center; 
}
td.mbox-imageright {             /* The right image cell */
    border: none;
    padding: 2px 0 2px 0.9em;    /* 0px right, 0.9em left */
    text-align: center; 
}
td.mbox-empty-cell {         /* An empty narrow cell */
    border: none;
    padding: 0;
    width: 1px;
}

/* עיצוב הודעת המערכת הכללית של הקרן */
#table-cell-2 {
    text-align: right;
    padding-right: 1em;
}

#pagehistory span.mw-revdelundel-link {
    display: none;
}

/* יישור של כל התאים למעלה */
table.valigntop tr {
    vertical-align: top;
}

/* ‫הערות שוליים בעברית בין הערות שוליים באנגלית. יש לתת שם להערת השוליים שמתחיל ב־hebrewRTL‬ */
li[id|="cite_note-hebrewRTL"] {
    direction:rtl;
    text-align: right;
}
li[id|="cite_note-LTR"] {
    direction:ltr;
    margin-left:3.2em;
    text-align:left;
}

/* הגבלת גובה תפריטים, והוספת פס גלילה עבור תפריטים ארוכים */
.wikiEditor-ui-toolbar .group .tool-select .menu .options {
    overflow: auto; max-height: 30em;
}
.wikiEditor-ui-toolbar .group .tool-select .options .option {
    padding: 0.5em 0.5em 0.5em 3em;
}

/* עבור מונחון */
.wpAbbreviation{
    border-bottom:1px dotted #696969;
    cursor:help;
}

/* עיצוב לתיבת משוב */
#feedbackTextArea {
    height: 16px;
    width: auto;
    overflow: auto;
    color: #999999;
}
.feedbackWrapper {
    text-align: center;
    margin-top: 1em;
}
.feedbackDiv {
    display: inline-block;
    background-color: #F9F9F9;
    border: 1px solid #CCCCCC;
    font-weight: bold;
}
#feedbackTitle {
    width: 250px;
    color: #999999;
}
#feedbackHelpDiv {
    text-align: right;
    font-size:small;
    font-weight:normal;
}
#loadFeedbackHelp {
    cursor: pointer;
}
#feedbackSubmit {
    font-weight: normal;
}

/* container for toggles used in [[MediaWiki:ImgToggle.js]] */
.aTogglesContainer{
    clear: both;
}

.imgtoggleboxTitle{
    display: none;
}

/* To prevent "unicode-bidi: plaintext;", which is on in Google Chrome since version 15 because of a bug:
   https://bugs.webkit.org/show_bug.cgi?id=71188
   This should be kept until that bug is fixed. */
textarea {
    unicode-bidi: normal;
}

/* 
create class named "noJavascript" with display:none. 
add to mediawiki:Noscript.css, "display: inherit" to this class, to override the "display: none" here, so elements with this class
will only be seen by users surfing with JS disabled. 
*/
.noJavascript {
    display: none;
}

/* following lines are for references section display. 
"ol.refernece {margin: 0} tested on all major browsers.
ol.reference li {margin: } required so numbers are not hidden (might not be enough for 3-digit refs)
refDisplayRows used by a gadget and טורים=כן, refDisplayScroll/Hide used by gadget only. */
ol.references {
    margin: 0;
}

.mw-content-ltr ol.references,
.mw-content-rtl ol.references {
    margin: 0;
}
 
ol.references li {
    margin:0 3em;
}

.refDisplayRows ol,
ol.refDisplayRows {
    -webkit-column-width: 32em;
    -moz-column-width: 32em;
    column-width: 32em;
}
    
ol.refDisplayScroll {
    max-height: 20em; 
    overflow: auto; 
    margin: 0;
} 

ol.refDisplayHide{
    display: none
}

.globegris { 
    background: url('//upload.wikimedia.org/wikipedia/commons/1/10/Wikipedia-logo-v2-200px-transparent.png');
}

span.texhtml{
    white-space: nowrap;
}

.hebrewReflsit .references {
    list-style: hebrew;
}

.upper-roman-list ol {
	list-style: upper-roman;
}
.lower-roman-list ol {
	list-style: lower-roman;
}
.upper-latin-list ol {
	list-style: upper-latin;
}
.lower-latin-list ol {
	list-style: lower-latin;
}
.hebrew-list ol {
	list-style:hebrew;
}

.sysop-show {
    display: none;
}

/* Put the templates list as the first item in the old toolbar. see also [[MediaWiki:Templateslist.js]] */
#templatesList {
    float: right;
}

/* experiment: this piece is copied from the embedded CSS in enwiki: it disappears in RTL */
.ui-widget-content {
	border: 1px solid #aaaaaa/*{borderColorContent}*/;
	background: #ffffff/*{bgColorContent}*/ 50%/*{bgContentXPos}*/ 50%/*{bgContentYPos}*/ repeat-x/*{bgContentRepeat}*/;
	color: #222222/*{fcContent}*/;
}
.ui-widget-content a {
	color: #222222/*{fcContent}*/;
}
.ui-widget-header {
	border: 1px solid #aaaaaa/*{borderColorHeader}*/;
	background: #cccccc/*{bgColorHeader}*/ url(images/ui-bg_highlight-soft_75_cccccc_1x100.png)/*{bgImgUrlHeader}*/ 50%/*{bgHeaderXPos}*/ 50%/*{bgHeaderYPos}*/ repeat-x/*{bgHeaderRepeat}*/;
	color: #222222/*{fcHeader}*/;
	font-weight: bold;
}
.ui-widget-header a {
	color: #222222/*{fcHeader}*/;
}

/* Fix so <syntaxhighlight> tags and .css and .js pages get normal text size. copied from [[:en:MediaWiki:Common.css]]
   [[Bugzilla:26204]] */
div.mw-geshi div,
div.mw-geshi div pre,
span.mw-geshi,
pre.source-css,
pre.source-javascript {
    font-family: monospace, Courier !important;
}

/* correct wikieditor table tool controls overlap*/
div.wikieditor-toolbar-table-form div.wikieditor-toolbar-field-wrapper  {
    margin-right: 2em;
}

/* עבור תבניות ציטוט */
.hebrewQuotation {
    font-family: David, serif;
}
.engQuotation {
    font-family:"Times New Roman", serif;
}

/* Change the external link icon to an Adobe icon for all PDF files
   in browsers that support these CSS selectors, like Mozilla and Opera.
   taken from [[:en:MediaWiki:Common.css]]
*/
div#content a[href$=".pdf"].external, 
div#content a[href*=".pdf?"].external, 
div#content a[href*=".pdf#"].external,
div#content a[href$=".PDF"].external, 
div#content a[href*=".PDF?"].external, 
div#content a[href*=".PDF#"].external,
div#mw_content a[href$=".pdf"].external, 
div#mw_content a[href*=".pdf?"].external, 
div#mw_content a[href*=".pdf#"].external,
div#mw_content a[href$=".PDF"].external, 
div#mw_content a[href*=".PDF?"].external, 
div#mw_content a[href*=".PDF#"].external {
    /* @embed */
    background: url("//upload.wikimedia.org/wikipedia/commons/2/23/Icons-mini-file_acrobat.gif") no-repeat left !important;
    padding-left: 18px !important;
}

div#content a[href$=".xls"].external, 
div#content a[href*=".xls?"].external, 
div#content a[href*=".xls#"].external,
div#content a[href$=".XLS"].external, 
div#content a[href*=".XLS?"].external, 
div#content a[href*=".XLS#"].external,
div#mw_content a[href$=".xls"].external, 
div#mw_content a[href*=".xls?"].external, 
div#mw_content a[href*=".xls#"].external,
div#mw_content a[href$=".XLS"].external, 
div#mw_content a[href*=".XLS?"].external, 
div#mw_content a[href*=".XLS#"].external {
    /* @embed */
    background: url("//upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Page_white_excel.png/15px-Page_white_excel.png") no-repeat left !important;
    padding-left: 18px !important;
}

div#content a[href$=".doc"].external, 
div#content a[href*=".doc?"].external, 
div#content a[href*=".doc#"].external,
div#content a[href$=".docx"].external, 
div#content a[href*=".docx?"].external, 
div#content a[href*=".docx#"].external,
div#content a[href$=".DOC"].external, 
div#content a[href*=".DOC?"].external, 
div#content a[href*=".DOC#"].external,
div#content a[href$=".DOCX"].external, 
div#content a[href*=".DOCX?"].external, 
div#content a[href*=".DOCX#"].external,
div#mw_content a[href$=".doc"].external, 
div#mw_content a[href*=".doc?"].external, 
div#mw_content a[href*=".doc#"].external,
div#mw_content a[href$=".DOC"].external, 
div#mw_content a[href*=".DOC?"].external, 
div#mw_content a[href*=".DOC#"].external,
div#mw_content a[href$=".docx"].external, 
div#mw_content a[href*=".docx?"].external, 
div#mw_content a[href*=".docx#"].external,
div#mw_content a[href$=".DOCX"].external, 
div#mw_content a[href*=".DOCX?"].external, 
div#mw_content a[href*=".DOCX#"].external {
    /* @embed */
    background: url("//upload.wikimedia.org/wikipedia/he/thumb/1/1e/Word-icon.svg/16px-Word-icon.svg.png") no-repeat left !important;
    padding-left: 18px !important;
}

.catlist-in-columns {
    -webkit-column-width: 20em;
    -moz-column-width: 20em;
    -ms-column-width: 20em;
    column-width: 20em;
}

/*  עבור תבנית pgn, להצגת משחקי שחמט. */
.pgn-sourcegame {
	display: none
}

img.pgn-chessPiece { position: absolute; z-index: 3; }
div.pgn-board-div { position: relative; margin: 1em; border: 8px ridge grey; border-radius: 10px; }
div.pgn-slider { width: 180px; margin: auto; }
table.pgn-table { direction: ltr; width: 360px; }
td.pgn-selector { height: 2em; text-align: center; vertical-align: middle; }
td.pgn-controls { height: 2em; text-align: right; vertical-align: top; }
td.pgn-legend { text-align: center; vertical-align: middle; }
div.pgn-pgn-display, div.pgn-gameset-div { direction: ltr; }
div.pgn-descriptions { width: 16em; overflow: auto; }
span.pgn-movelink { margin: 0 0.3em; cursor: alias; }
span.pgn-steplink { margin: 0 0.3em; color: green; font-weight: bold; }
span.pgn-comment { margin: 0 0.3em; color: blue; background-color: lightblue; font-weight: bold; }
p.pgn-rtl-comment { direction: rtl; text-align: right; }
span.pgn-current-move { background-color: #00c; color: yellow; cursor: auto; }
span.pgn-row-legend, span.pgn-file-legend { position: absolute; }
div.pgn-pgndiv { direction: ltr; text-align: left; overflow-y: auto; overflow-x: hidden; position: relative; }

/* for [[תבנית:לשוניות2]] */
.tabWrapper.ui-widget {
    font-size: 1em;
}

.tabWrapper .ui-tabs-nav {
    background: transparent;
    border-width: 0 0 1px 0;
}

.tabWrapper .ui-tabs-nav a {
    color: black;
    font-weight: bold;
}

/* Pie chart: Transparent borders */
.transborder {
    border: solid transparent;
}
* html .transborder {  /* IE6 */
    border: solid #000001;
    filter: chroma(color=#000001);
}

.rot90 { 
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
}

.rot180 { 
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
}

.rot270 { 
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    transform: rotate(270deg);
}

/* scrollbar for main page language list */
.page-עמוד_ראשי #p-lang .body {
	max-height:650px;
	overflow: auto;
}

code { 
	direction: ltr;
}

/* fix bug in IE for code element not shown */
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    code {
        display: inline-block;
    }
}

/* Geographical coordinates defaults. See [[Template:Coord/link]]
   for how these are used. The classes "geo", "longitude", and
   "latitude" are used by the [[Geo microformat]]. */
.geo-default, .geo-dms, .geo-dec  { display: inline; }
.geo-nondefault, .geo-multi-punct { display: none; }
.longitude, .latitude             { white-space: nowrap; }

/* Make clickable edit summaries in Gadget-Summarieslist.js work more nicely with LTR UI */
#summariesList .clickable-edit-summary {
	unicode-bidi: embed;
}

/*
Fix the display of Wikidata watchlist entries.
This can be removed when the following patches are merged and deployed:
https://gerrit.wikimedia.org/r/#/c/159070/
https://gerrit.wikimedia.org/r/#/c/159060/
*/
.mw-userlink,
.wb-entity-link { 
	unicode-bidi: embed;
}